<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CCodeRefactoring: createCompuMethods.hpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CCodeRefactoring
   &#160;<span id="projectnumber">First Alpha</span>
   </div>
   <div id="projectbrief">Create Simulation Executable From Existing Code</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('create_compu_methods_8hpp.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">createCompuMethods.hpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;<a class="el" href="recursive_hierarch_search_8hpp_source.html">recursiveHierarchSearch.hpp</a>&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for createCompuMethods.hpp:</div>
<div class="dyncontent">
<div class="center"><img src="create_compu_methods_8hpp__incl.png" border="0" usemap="#create_compu_methods_8hpp" alt=""/></div>
<map name="create_compu_methods_8hpp" id="create_compu_methods_8hpp">
<area shape="rect" title=" " alt="" coords="854,5,1047,32"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html" title=" " alt="" coords="846,80,1055,107"/>
<area shape="rect" title=" " alt="" coords="5,155,168,196"/>
<area shape="rect" title=" " alt="" coords="192,155,355,196"/>
<area shape="rect" title=" " alt="" coords="379,155,541,196"/>
<area shape="rect" title=" " alt="" coords="566,155,741,196"/>
<area shape="rect" title=" " alt="" coords="765,155,939,196"/>
<area shape="rect" title=" " alt="" coords="963,155,1138,196"/>
<area shape="rect" title=" " alt="" coords="1163,162,1307,189"/>
<area shape="rect" title=" " alt="" coords="1331,155,1480,196"/>
<area shape="rect" title=" " alt="" coords="1505,162,1639,189"/>
<area shape="rect" title=" " alt="" coords="1664,162,1877,189"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="create_compu_methods_8hpp__dep__incl.png" border="0" usemap="#create_compu_methods_8hppdep" alt=""/></div>
<map name="create_compu_methods_8hppdep" id="create_compu_methods_8hppdep">
<area shape="rect" title=" " alt="" coords="5,5,199,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html" title=" " alt="" coords="28,80,176,121"/>
</map>
</div>
</div>
<p><a href="create_compu_methods_8hpp_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:a8b8e6bf758daac65580f9f24dc7860ee"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="create_compu_methods_8hpp.html#a8b8e6bf758daac65580f9f24dc7860ee">MDXObject</a> { <a class="el" href="create_compu_methods_8hpp.html#a8b8e6bf758daac65580f9f24dc7860eeaf8006d84f82d719ded96ff2cff6e1da7">CompuMethod</a>, 
<a class="el" href="create_compu_methods_8hpp.html#a8b8e6bf758daac65580f9f24dc7860eea2a0f297683981544a4c35262e7085949">SWUnit</a>, 
<a class="el" href="create_compu_methods_8hpp.html#a8b8e6bf758daac65580f9f24dc7860eea702c2938359ac2a6a4c882e6f61b876c">SysCon</a>
 }</td></tr>
<tr class="separator:a8b8e6bf758daac65580f9f24dc7860ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:af75030a42fda96040064e95d5c9371ce"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="create_compu_methods_8hpp.html#af75030a42fda96040064e95d5c9371ce">createTables</a> (enum <a class="el" href="create_compu_methods_8hpp.html#a8b8e6bf758daac65580f9f24dc7860ee">MDXObject</a> r)</td></tr>
<tr class="separator:af75030a42fda96040064e95d5c9371ce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab8314d3da7b810cfdab50d422cf4816f"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="create_compu_methods_8hpp.html#ab8314d3da7b810cfdab50d422cf4816f">createIDS</a> (enum <a class="el" href="create_compu_methods_8hpp.html#a8b8e6bf758daac65580f9f24dc7860ee">MDXObject</a> r)</td></tr>
<tr class="separator:ab8314d3da7b810cfdab50d422cf4816f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ea9968349d2f118e5a10ac6ac3acb72"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="create_compu_methods_8hpp.html#a6ea9968349d2f118e5a10ac6ac3acb72">visitCompuMethods</a> (std::string ident, std::string key)</td></tr>
<tr class="separator:a6ea9968349d2f118e5a10ac6ac3acb72"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aafd99697405004efe0b96d53547791d5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="create_compu_methods_8hpp.html#aafd99697405004efe0b96d53547791d5">createCompuMethods</a> ()</td></tr>
<tr class="separator:aafd99697405004efe0b96d53547791d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a id="a8b8e6bf758daac65580f9f24dc7860ee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8b8e6bf758daac65580f9f24dc7860ee">&#9670;&nbsp;</a></span>MDXObject</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="create_compu_methods_8hpp.html#a8b8e6bf758daac65580f9f24dc7860ee">MDXObject</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="a8b8e6bf758daac65580f9f24dc7860eeaf8006d84f82d719ded96ff2cff6e1da7"></a>CompuMethod&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a8b8e6bf758daac65580f9f24dc7860eea2a0f297683981544a4c35262e7085949"></a>SWUnit&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a8b8e6bf758daac65580f9f24dc7860eea702c2938359ac2a6a4c882e6f61b876c"></a>SysCon&#160;</td><td class="fielddoc"></td></tr>
</table>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="aafd99697405004efe0b96d53547791d5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aafd99697405004efe0b96d53547791d5">&#9670;&nbsp;</a></span>createCompuMethods()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void createCompuMethods </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="create_compu_methods_8hpp_aafd99697405004efe0b96d53547791d5_cgraph.png" border="0" usemap="#create_compu_methods_8hpp_aafd99697405004efe0b96d53547791d5_cgraph" alt=""/></div>
<map name="create_compu_methods_8hpp_aafd99697405004efe0b96d53547791d5_cgraph" id="create_compu_methods_8hpp_aafd99697405004efe0b96d53547791d5_cgraph">
<area shape="rect" title=" " alt="" coords="5,81,171,108"/>
<area shape="rect" href="create_compu_methods_8hpp.html#ab8314d3da7b810cfdab50d422cf4816f" title=" " alt="" coords="252,5,337,32"/>
<area shape="rect" href="create_compu_methods_8hpp.html#af75030a42fda96040064e95d5c9371ce" title=" " alt="" coords="243,56,347,83"/>
<area shape="rect" href="postgres_interface_8hpp.html#a23641ff228bc4a84c18a7ae15c42ed77" title=" " alt="" coords="623,107,733,133"/>
<area shape="rect" href="create_compu_methods_8hpp.html#a6ea9968349d2f118e5a10ac6ac3acb72" title=" " alt="" coords="219,233,371,260"/>
<area shape="rect" href="postgres_interface_8hpp.html#a952e42de50e86fdd1ac069a8acf991e1" title=" " alt="" coords="421,56,541,83"/>
<area shape="rect" href="postgres_interface_8hpp.html#a7ca537dcf4e9574d8db3d2794d5ffb4c" title=" " alt="" coords="598,56,758,83"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#a84e7a8d5a78c4f9d483ce3bf66b186ea" title=" " alt="" coords="630,157,726,184"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#a6c3aafef43e91acd0d2542ea2c5337ac" title=" " alt="" coords="620,309,736,336"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#ae80795e0e8b8d7169f267438db1baa6b" title=" " alt="" coords="637,360,719,387"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#a50a5034e0f6e6d95d8d2a73f68c88668" title=" " alt="" coords="419,259,543,285"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#a7698b98c647502bfaa8d3f5f980a4db6" title=" " alt="" coords="623,208,733,235"/>
<area shape="rect" href="postgres_interface_8hpp.html#a93a897241339ada0d6a3676765ae1d21" title=" " alt="" coords="591,259,765,285"/>
</map>
</div>

</div>
</div>
<a id="ab8314d3da7b810cfdab50d422cf4816f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab8314d3da7b810cfdab50d422cf4816f">&#9670;&nbsp;</a></span>createIDS()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string createIDS </td>
          <td>(</td>
          <td class="paramtype">enum <a class="el" href="create_compu_methods_8hpp.html#a8b8e6bf758daac65580f9f24dc7860ee">MDXObject</a>&#160;</td>
          <td class="paramname"><em>r</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="create_compu_methods_8hpp_ab8314d3da7b810cfdab50d422cf4816f_icgraph.png" border="0" usemap="#create_compu_methods_8hpp_ab8314d3da7b810cfdab50d422cf4816f_icgraph" alt=""/></div>
<map name="create_compu_methods_8hpp_ab8314d3da7b810cfdab50d422cf4816f_icgraph" id="create_compu_methods_8hpp_ab8314d3da7b810cfdab50d422cf4816f_icgraph">
<area shape="rect" title=" " alt="" coords="219,5,304,32"/>
<area shape="rect" href="create_compu_methods_8hpp.html#aafd99697405004efe0b96d53547791d5" title=" " alt="" coords="5,5,171,32"/>
</map>
</div>

</div>
</div>
<a id="af75030a42fda96040064e95d5c9371ce"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af75030a42fda96040064e95d5c9371ce">&#9670;&nbsp;</a></span>createTables()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void createTables </td>
          <td>(</td>
          <td class="paramtype">enum <a class="el" href="create_compu_methods_8hpp.html#a8b8e6bf758daac65580f9f24dc7860ee">MDXObject</a>&#160;</td>
          <td class="paramname"><em>r</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="create_compu_methods_8hpp_af75030a42fda96040064e95d5c9371ce_cgraph.png" border="0" usemap="#create_compu_methods_8hpp_af75030a42fda96040064e95d5c9371ce_cgraph" alt=""/></div>
<map name="create_compu_methods_8hpp_af75030a42fda96040064e95d5c9371ce_cgraph" id="create_compu_methods_8hpp_af75030a42fda96040064e95d5c9371ce_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,109,32"/>
<area shape="rect" href="postgres_interface_8hpp.html#a952e42de50e86fdd1ac069a8acf991e1" title=" " alt="" coords="157,5,277,32"/>
<area shape="rect" href="postgres_interface_8hpp.html#a7ca537dcf4e9574d8db3d2794d5ffb4c" title=" " alt="" coords="325,5,485,32"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="create_compu_methods_8hpp_af75030a42fda96040064e95d5c9371ce_icgraph.png" border="0" usemap="#create_compu_methods_8hpp_af75030a42fda96040064e95d5c9371ce_icgraph" alt=""/></div>
<map name="create_compu_methods_8hpp_af75030a42fda96040064e95d5c9371ce_icgraph" id="create_compu_methods_8hpp_af75030a42fda96040064e95d5c9371ce_icgraph">
<area shape="rect" title=" " alt="" coords="219,5,323,32"/>
<area shape="rect" href="create_compu_methods_8hpp.html#aafd99697405004efe0b96d53547791d5" title=" " alt="" coords="5,5,171,32"/>
</map>
</div>

</div>
</div>
<a id="a6ea9968349d2f118e5a10ac6ac3acb72"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6ea9968349d2f118e5a10ac6ac3acb72">&#9670;&nbsp;</a></span>visitCompuMethods()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void visitCompuMethods </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>ident</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>key</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="create_compu_methods_8hpp_a6ea9968349d2f118e5a10ac6ac3acb72_cgraph.png" border="0" usemap="#create_compu_methods_8hpp_a6ea9968349d2f118e5a10ac6ac3acb72_cgraph" alt=""/></div>
<map name="create_compu_methods_8hpp_a6ea9968349d2f118e5a10ac6ac3acb72_cgraph" id="create_compu_methods_8hpp_a6ea9968349d2f118e5a10ac6ac3acb72_cgraph">
<area shape="rect" title=" " alt="" coords="5,132,157,159"/>
<area shape="rect" href="postgres_interface_8hpp.html#a23641ff228bc4a84c18a7ae15c42ed77" title=" " alt="" coords="410,5,519,32"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#a84e7a8d5a78c4f9d483ce3bf66b186ea" title=" " alt="" coords="417,56,513,83"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#a6c3aafef43e91acd0d2542ea2c5337ac" title=" " alt="" coords="407,208,523,235"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#ae80795e0e8b8d7169f267438db1baa6b" title=" " alt="" coords="423,259,506,285"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#a50a5034e0f6e6d95d8d2a73f68c88668" title=" " alt="" coords="205,132,329,159"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#a7698b98c647502bfaa8d3f5f980a4db6" title=" " alt="" coords="410,107,519,133"/>
<area shape="rect" href="postgres_interface_8hpp.html#a93a897241339ada0d6a3676765ae1d21" title=" " alt="" coords="377,157,552,184"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="create_compu_methods_8hpp_a6ea9968349d2f118e5a10ac6ac3acb72_icgraph.png" border="0" usemap="#create_compu_methods_8hpp_a6ea9968349d2f118e5a10ac6ac3acb72_icgraph" alt=""/></div>
<map name="create_compu_methods_8hpp_a6ea9968349d2f118e5a10ac6ac3acb72_icgraph" id="create_compu_methods_8hpp_a6ea9968349d2f118e5a10ac6ac3acb72_icgraph">
<area shape="rect" title=" " alt="" coords="219,5,371,32"/>
<area shape="rect" href="create_compu_methods_8hpp.html#aafd99697405004efe0b96d53547791d5" title=" " alt="" coords="5,5,171,32"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="create_compu_methods_8hpp.html">createCompuMethods.hpp</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
